This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 253273 - Cannot start pirut if there is an error in one file in /etc/yum.repos.d/FileName
Cannot start pirut if there is an error in one file in /etc/yum.repos.d/FileName
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 13:22 EDT by David
Modified: 2008-05-28 15:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:10:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2007-08-17 13:22:25 EDT
Description of problem:

pirut cannot start if a "repos" is wrong. The error message is "configuration
error", but does not says what error.

I have detected the error when I have executed yum, instead of pirut:

[root@Noname00 ~]# yum install pirut
http://linuxdownload.adobe.com/linux/x86_64/repodata/repomd.xml: [Errno 14] HTTP
Error 404: Date: Fri, 17 Aug 2007 16:56:01 GMT
Server: Apache
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: adobe-linux



Version-Release number of selected component (if applicable):


How reproducible:

Try to download shockwave firefox plugin, then fails and is generated the
"wrong" file /etc/yum.respos.d/adobe-linux.repo. After this, you cannot start pirut.

Solution:
Erase adobe-linux.repo and execute pirut again.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-08-20 13:57:53 EDT
The problem is that if we allow you to continue, you could be breaking your
system due to the set of repos that is left available.  We're working on
incorporating some UI for doing repo editing; once that's done, we'll fall back
to that instead of just exiting so that you can do what you want
Comment 2 Bug Zapper 2008-05-14 10:00:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-05-28 15:10:54 EDT
Fedora 8 handles this a lot more nicely

Note You need to log in before you can comment on or make changes to this bug.